Public Class State

    Private _Cities As New List(Of City)
    Private _Name As String

    Public Sub New()
    End Sub

    Public Sub New(ByVal Name As String)
        _Name = Name
    End Sub

    Public ReadOnly Property Cities() As List(Of City)
        Get
            Return _Cities
        End Get
    End Property

    Public Property Name() As String
        Get
            Return _Name
        End Get
        Set(ByVal value As String)
            _Name = value
        End Set
    End Property

    Public ReadOnly Property Inhabitants() As Integer
        Get
            For Each C As City In _Cities
                Inhabitants += C.Inhabitants
            Next
        End Get
    End Property

    Public Sub AddTo(ByVal Src As System.ComponentModel.IBindingList)
        Src.Add(Me)
    End Sub

End Class
